Download it now!
Bug 74215 - FILESAVE : Corruption due to empty imagedata in Number Pic bullet
Summary: FILESAVE : Corruption due to empty imagedata in Number Pic bullet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-30 09:28 UTC by Ravindra Vidhate
Modified: 2015-01-24 12:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (20.56 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-30 09:28 UTC, Ravindra Vidhate
Details
Bullet with Pictures (23.75 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-30 09:48 UTC, Ravindra Vidhate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-01-30 09:28:45 UTC
Created attachment 93044 [details]
Original File

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word


Current behavior:
File gets corrupt

Expected behavior:
File should open without any error

While export, LO add NumPicBullet with imagedata and empty image.
Comment 1 Ravindra Vidhate 2014-01-30 09:48:43 UTC
Created attachment 93046 [details]
Bullet with Pictures
Comment 2 Commit Notification 2014-02-13 11:55:29 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc1c838942d4b2ae395ae7429271e48335fdee80

fdo#74215:Fix for empty imagedata in Number Pic bullet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-17 11:12:44 UTC
Attachment 93046 [details] is still corrupt after roundtripping, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Attachment 93044 [details] (called 'original file') is not corrupted.

Kind regards,
Joren
Comment 4 Jorendc 2014-04-25 20:25:29 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Versie: 4.3.0.0.alpha1 
Build ID: 46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781

Checked using Office 2013

Kind regards,
Joren